%define _buildid .5

Name:           perl-Digest-MD5
Version:        2.52
Release: 3%{?_buildid}%{?dist}
Summary:        Perl interface to the MD5 algorithm
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Digest-MD5/
Source0:        http://www.cpan.org/authors/id/G/GA/GAAS/Digest-MD5-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl(strict)
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:  perl(Digest::base) >= 1.00
# Digest::Perl::MD5 not needed
BuildRequires:  perl(Exporter)
BuildRequires:  perl(vars)
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(Encode)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(threads)
BuildRequires:  perl(warnings)
# Optional tests:
BuildRequires:  perl(MIME::Base64)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Digest::base) >= 1.00
Requires:       perl(XSLoader)

%{?perl_default_filter}

%description
The Digest::MD5 module allows you to use the RSA Data Security Inc. MD5
Message Digest algorithm from within Perl programs. The algorithm takes as
input a message of arbitrary length and produces as output a 128-bit
"fingerprint" or "message digest" of the input.

%prep
%setup -q -n Digest-MD5-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Digest*
%{_mandir}/man3/*

%changelog
* Wed May 7 2014 Cristian Gafton <gafton@amazon.com>
- import source package RHEL7/perl-Digest-MD5-2.52-3.el7

* Fri Jan 24 2014 Daniel Mach <dmach@redhat.com> - 2.52-3
- Mass rebuild 2014-01-24

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 2.52-2
- Mass rebuild 2013-12-27

* Fri Dec 13 2013 Cristian Gafton <gafton@amazon.com>
- import source package RHEL7/perl-Digest-MD5-2.52-1.el7

* Thu Dec 12 2013 Cristian Gafton <gafton@amazon.com>
- setup complete for package perl-Digest-MD5

* Tue Mar 19 2013 Petr Pisar <ppisar@redhat.com> 2.52-1
- Specfile autogenerated by cpanspec 1.78.
